Last Comment Bug 669905 - Searching in the new Downloads folder should limit the search to downloads
: Searching in the new Downloads folder should limit the search to downloads
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Marco Bonardo [::mak]
:
Mentors:
Depends on: 564900
Blocks: 402231 DownloadsPanel
  Show dependency treegraph
 
Reported: 2011-07-07 08:06 PDT by Marco Bonardo [::mak]
Modified: 2011-08-31 07:58 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1.0 (7.17 KB, patch)
2011-08-03 08:52 PDT, Marco Bonardo [::mak]
no flags Details | Diff | Review
patch v1.1 (19.32 KB, patch)
2011-08-03 13:53 PDT, Marco Bonardo [::mak]
no flags Details | Diff | Review
patch v1.1 (8 lines of context) (23.62 KB, patch)
2011-08-03 13:54 PDT, Marco Bonardo [::mak]
dietrich: review+
Details | Diff | Review

Description Marco Bonardo [::mak] 2011-07-07 08:06:33 PDT
After discussing with Paolo, doesn't make sense for Library to search all history when Downloads is the current view, the search should be limited to downloads.
Comment 1 skierpage 2011-07-20 04:40:31 PDT
These (great!) new features sound like additions to the Places UI, is Mozilla still using bug 437246 to track them?
Comment 2 Marco Bonardo [::mak] 2011-07-20 06:12:10 PDT
(In reply to comment #1)
> These (great!) new features sound like additions to the Places UI, is
> Mozilla still using bug 437246 to track them?

no, that bug is pretty much useless, lost it long time ago.
Comment 3 Marco Bonardo [::mak] 2011-08-03 08:52:23 PDT
Created attachment 550400 [details] [diff] [review]
patch v1.0

doesn't have a test yet
Comment 4 Marco Bonardo [::mak] 2011-08-03 13:53:27 PDT
Created attachment 550492 [details] [diff] [review]
patch v1.1

fixed some glitches, and now has some testing too!
Comment 5 Marco Bonardo [::mak] 2011-08-03 13:54:55 PDT
Created attachment 550495 [details] [diff] [review]
patch v1.1 (8 lines of context)

uh, sorry I wrongly attached the 3-lines-of-context version
Comment 6 Marco Bonardo [::mak] 2011-08-04 04:55:03 PDT
Mano, do you think you may complete this review before next merge (8 Aug). I'd like to have bug 564900 and this one in the FF8 timeframe.
Comment 7 Marco Bonardo [::mak] 2011-08-04 17:32:06 PDT
fwiw, bug 564900 is practically ready to land
Comment 8 Marco Bonardo [::mak] 2011-08-18 03:36:50 PDT
Comment on attachment 550495 [details] [diff] [review]
patch v1.1 (8 lines of context)

Dietrich, asking to you as well, per previous discussion.
Comment 9 Ed Morley [:emorley] 2011-08-21 11:35:51 PDT
http://hg.mozilla.org/mozilla-central/rev/55377b8a385a

Note You need to log in before you can comment on or make changes to this bug.